Gecode::Gist::UnstopAllCursor Class Reference

A cursor that marks all nodes in the tree as not stopping. More...

`#include <nodecursor.hh>`

## Public Member Functions

| UnstopAllCursor (VisualNode *theNode, const VisualNode::NodeAllocator &na)
| Constructor.
Public Member Functions inherited from Gecode::Gist::NodeCursor< VisualNode >
| NodeCursor (VisualNode *theNode, const typename VisualNode::NodeAllocator &na)
| Construct cursor, initially set to theNode.
unsigned int | alternative (void)
| Return current alternative.
bool | mayMoveUpwards (void)
| Test if the cursor may move to the parent node.
void | moveUpwards (void)
| Move cursor to the parent node.
bool | mayMoveDownwards (void)
| Test if cursor may move to the first child node.
void | moveDownwards (void)
| Move cursor to the first child node.
bool | mayMoveSidewards (void)
| Test if cursor may move to the first sibling.
void | moveSidewards (void)
| Move cursor to the first sibling.

## Cursor interface

void | processCurrentNode (void)
| Process node.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Gist::NodeCursor< VisualNode >
void | node (VisualNode *n)
| Set current node to n.
VisualNode * | startNode (void)
| Return start node.
Protected Attributes inherited from Gecode::Gist::NodeCursor< VisualNode >
const VisualNode::NodeAllocator & | na
| The node allocator.

## Detailed Description

A cursor that marks all nodes in the tree as not stopping.

Definition at line 117 of file nodecursor.hh.

## Constructor & Destructor Documentation

## UnstopAllCursor()

Gecode::Gist::UnstopAllCursor::UnstopAllCursor | ( | VisualNode * | theNode,
|  | const VisualNode::NodeAllocator & | na )

inline

Constructor.

Definition at line 156 of file nodecursor.hpp.

## Member Function Documentation

## processCurrentNode()

void Gecode::Gist::UnstopAllCursor::processCurrentNode | ( | void |  | ) |

inline

Process node.

Definition at line 161 of file nodecursor.hpp.

The documentation for this class was generated from the following files:

- gecode/gist/nodecursor.hh
- gecode/gist/nodecursor.hpp